Bug 41068 - Adjust errata version in UCS 3.3 preup
Adjust errata version in UCS 3.3 preup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 3.3
Other Linux
: P5 enhancement (vote)
: UCS 3.3
Assigned To: Felix Botner
Stefan Gohmann
:
Depends on: 40909
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-19 07:24 CEST by Stefan Gohmann
Modified: 2016-06-07 21:35 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-04-19 07:24:15 CEST
See Bug #40909#c1:

> *If this errata is released, please Reopen the Bug! I have to set the errata
> number of this bug as "minimum errata" in the UCS 3.3 preup.sh.*

I've split it into this bug.
Comment 1 Felix Botner univentionstaff 2016-04-21 10:20:31 CEST
univention-updater: r68850
minimum erratalevel for the update to UCS 3.3 is 422 (http://errata.software-univention.de/ucs/3.2/422.html)
Comment 2 Stefan Gohmann univentionstaff 2016-04-27 07:26:38 CEST
OK, it works:

-------------------------------------------------------------------------
root@master3341:~# univention-upgrade --ignoressh --ignoreterm

Starting univention-upgrade. Current UCS version is 3.2-8 errata409

Checking for local repository:                          none
Checking for release updates:                           found: UCS 3.3-0

Do you want to update to 3.3-0 [Y|n]? y

Starting update to UCS version 3.3-0

HINT:
Please check the release notes carefully BEFORE updating to UCS 3.3-0:
 English version: http://docs.univention.de/release-notes-3.3-0-en.html
 German version:  http://docs.univention.de/release-notes-3.3-0-de.html

Please also consider documents of following release updates and
3rd party components.

Do you want to continue [Y/n]? y

WARNING: The erratalevel version of this system is 409.
         In order to install the UCS 3.3 release update please
         upgrade the system to at least errata level 422!
Error: Please check "/var/log/univention/updater.log" for details.
ERROR: update failed. Please check /var/log/univention/updater.log

root@master3341:~# ucr set version/erratalevel='422' 
Setting version/erratalevel
File: /etc/lsb-release
File: /etc/apt/apt.conf.d/55user_agent
root@master3341:~# univention-upgrade --ignoressh --ignoreterm

Starting univention-upgrade. Current UCS version is 3.2-8 errata422

Checking for local repository:                          none
Checking for release updates:                           found: UCS 3.3-0

Do you want to update to 3.3-0 [Y|n]? y

Starting update to UCS version 3.3-0

HINT:
Please check the release notes carefully BEFORE updating to UCS 3.3-0:
 English version: http://docs.univention.de/release-notes-3.3-0-en.html
 German version:  http://docs.univention.de/release-notes-3.3-0-de.html

Please also consider documents of following release updates and
3rd party components.

Do you want to continue [Y/n]?

Checking for space on /var/cache/apt/archives: OK
Checking for space on /boot: OK
Checking for space on /: OK
Checking for package status: OK
Checking LDAP schema: OK

Starting update process, this may take a while.
Check /var/log/univention/updater.log for more information.
...
-------------------------------------------------------------------------
Comment 3 Stefan Gohmann univentionstaff 2016-06-07 21:35:49 CEST
UCS 3.3 has been released:
 https://docs.software-univention.de/release-notes-3.3-0-en.html
 https://docs.software-univention.de/release-notes-3.3-0-de.html

If this error occurs again, please use "Clone This Bug".